//TXUSERA JOB (4595,SUBS,3,8,0),
//        MSGCLASS=X,MSGLEVEL=(1,1),NOTIFY=&SYSUID,
//        CLASS=A
//*********************************************************************
//**
//**   Licensed Materials - Property of IBM and/or HCL
//**   (c) Copyright IBM Corporation 2005, 2019. All Rights Reserved.
//**   (c) Copyright HCL Technologies Ltd. 2017,2019. All Rights Reserved.
//**
//**   Note to U.S. Government Users Restricted Rights:
//**   Use, duplication or disclosure restricted by GSA ADP Schedule
//**   Contract with IBM Corp.
//**
//**
//**         SEPA VALIDATION
//**
//**   This is a sample JCL to assist with the execution of a SEPA
//**   message validation in Z/OS
//**
//**   The program to be executed is DTXCMDSV,
//**   the command line is passed through the PARM statement which
//**   references ddname PARMs, a dataset which contains the execution
//**   commands required to run the main map for the application.
//**
//**
//**********************************************************************
//**
//SCRATCH  EXEC  PGM=IEFBR14
//DD1    DD   DSN=TXUSER.WTX.CARD1.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD2    DD   DSN=TXUSER.WTX.CARD2.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD3    DD   DSN=TXUSER.WTX.CARD3.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD4    DD   DSN=TXUSER.WTX.DRRTRACE.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//STEP1 EXEC PGM=DTXCMDSV,REGION=0M,PARM='-@PARMS1'
//**********************************************************************
//**   Load libraries for TX and where all the maps and schemas reside
//**
//**********************************************************************
//**
//STEPLIB DD DSN=DSTX830.SDTXLOAD,DISP=SHR
//        DD DSN=TXUSER.WTX.MAPLIB,DISP=SHR
//**
//PARMS1  DD DSN=TXUSER.WTX.PARAMS(PARM),DISP=SHR
//***********************************************************************
//**
//**   This is the main map section which calls the top level map for a
//**   SEPA message validation. Also includes references for all  runmaps
//**   called from the main map
//**
//***********************************************************************
//MAPDDS   DD DSN=TXUSER.WTX.MAPLIB(SEPVALID),DISP=SHR
//SE1B213C DD DSN=TXUSER.WTX.MAPLIB(SE1B213C),DISP=SHR
//SE1B213D DD DSN=TXUSER.WTX.MAPLIB(SE1B213D),DISP=SHR
//SE1B281C DD DSN=TXUSER.WTX.MAPLIB(SE1B281C),DISP=SHR
//SE1B293C DD DSN=TXUSER.WTX.MAPLIB(SE1B293C),DISP=SHR
//SE1B312D DD DSN=TXUSER.WTX.MAPLIB(SE1B312D),DISP=SHR
//SE1B412C DD DSN=TXUSER.WTX.MAPLIB(SE1B412C),DISP=SHR
//SE1B412D DD DSN=TXUSER.WTX.MAPLIB(SE1B412D),DISP=SHR
//SE1B561C DD DSN=TXUSER.WTX.MAPLIB(SE1B561C),DISP=SHR
//SE1B712D DD DSN=TXUSER.WTX.MAPLIB(SE1B712D),DISP=SHR
//SE1B812C DD DSN=TXUSER.WTX.MAPLIB(SE1B812C),DISP=SHR
//SE1C113C DD DSN=TXUSER.WTX.MAPLIB(SE1C113C),DISP=SHR
//SE1C213C DD DSN=TXUSER.WTX.MAPLIB(SE1C213C),DISP=SHR
//SE1C213D DD DSN=TXUSER.WTX.MAPLIB(SE1C213D),DISP=SHR
//SE1C712D DD DSN=TXUSER.WTX.MAPLIB(SE1C712D),DISP=SHR
//SE1C812D DD DSN=TXUSER.WTX.MAPLIB(SE1C812D),DISP=SHR
//SE1E0911 DD DSN=TXUSER.WTX.MAPLIB(SE1E0911),DISP=SHR
//SE1E1011 DD DSN=TXUSER.WTX.MAPLIB(SE1E1011),DISP=SHR
//SE1E1111 DD DSN=TXUSER.WTX.MAPLIB(SE1E1111),DISP=SHR
//SE1E1211 DD DSN=TXUSER.WTX.MAPLIB(SE1E1211),DISP=SHR
//SE1E213C DD DSN=TXUSER.WTX.MAPLIB(SE1E213C),DISP=SHR
//SE1E213D DD DSN=TXUSER.WTX.MAPLIB(SE1E213D),DISP=SHR
//SE1E293C DD DSN=TXUSER.WTX.MAPLIB(SE1E293C),DISP=SHR
//SE1E312D DD DSN=TXUSER.WTX.MAPLIB(SE1E312D),DISP=SHR
//SE1E412C DD DSN=TXUSER.WTX.MAPLIB(SE1E412C),DISP=SHR
//SE1E412D DD DSN=TXUSER.WTX.MAPLIB(SE1E412D),DISP=SHR
//SE1E561C DD DSN=TXUSER.WTX.MAPLIB(SE1E561C),DISP=SHR
//SE1E712D DD DSN=TXUSER.WTX.MAPLIB(SE1E712D),DISP=SHR
//SE1E812C DD DSN=TXUSER.WTX.MAPLIB(SE1E812C),DISP=SHR
//SEPLIB05 DD DSN=TXUSER.WTX.MAPLIB(SEPLIB05),DISP=SHR
//**********************************************************************
//**
//**   These are the references to the schemas that are used in the
//**   validation of the SEPA data. They need to reside in the same
//**   dataset as the maps
//**
//**********************************************************************
//PC213XSD  DD DSN=TXUSER.WTX.PACS213.XSD,DISP=SHR
//PC281XSD  DD DSN=TXUSER.WTX.PACS281.XSD,DISP=SHR
//PC312XSD  DD DSN=TXUSER.WTX.PACS312.XSD,DISP=SHR
//PC412XSD  DD DSN=TXUSER.WTX.PACS412.XSD,DISP=SHR
//PC712XSD  DD DSN=TXUSER.WTX.PACS712.XSD,DISP=SHR
//PC812XSD  DD DSN=TXUSER.WTX.PACS812.XSD,DISP=SHR
//ED213XSD  DD DSN=TXUSER.WTX.EBA213D.XSD,DISP=SHR
//ED312XSD  DD DSN=TXUSER.WTX.EBA312D.XSD,DISP=SHR
//EC412XSD  DD DSN=TXUSER.WTX.EBA412C.XSD,DISP=SHR
//ED412XSD  DD DSN=TXUSER.WTX.EBA412D.XSD,DISP=SHR
//ED712XSD  DD DSN=TXUSER.WTX.EBA712D.XSD,DISP=SHR
//EC812XSD  DD DSN=TXUSER.WTX.EBA812C.XSD,DISP=SHR
//PN113XSD  DD DSN=TXUSER.WTX.PAIN113.XSD,DISP=SHR
//PN213XSD  DD DSN=TXUSER.WTX.PAIN213.XSD,DISP=SHR
//PN712XSD  DD DSN=TXUSER.WTX.PAIN712.XSD,DISP=SHR
//PN812XSD  DD DSN=TXUSER.WTX.PAIN812.XSD,DISP=SHR
//PN911XSD  DD DSN=TXUSER.WTX.PAIN911.XSD,DISP=SHR
//PN101XSD  DD DSN=TXUSER.WTX.PAIN101.XSD,DISP=SHR
//PN111XSD  DD DSN=TXUSER.WTX.PAIN111.XSD,DISP=SHR
//PN121XSD  DD DSN=TXUSER.WTX.PAIN121.XSD,DISP=SHR
//CM293XSD  DD DSN=TXUSER.WTX.CAMT293.XSD,DISP=SHR
//CM561XSD  DD DSN=TXUSER.WTX.CAMT561.XSD,DISP=SHR
//EB293XSD  DD DSN=TXUSER.WTX.EBACM293.XSD,DISP=SHR
//EB561XSD  DD DSN=TXUSER.WTX.EBACM561.XSD,DISP=SHR
//BICSCHEM  DD DSN=TXUSER.WTX.BIC.XSD,DISP=SHR
//CURCODE   DD DSN=TXUSER.WTX.CURCODE.XSD,DISP=SHR
//SEPACONF  DD DSN=TXUSER.WTX.SEPACFG.XSD,DISP=SHR
//XLIFF     DD DSN=TXUSER.WTX.XLIFF.DTD,DISP=SHR
//TRCELOG   DD DSN=TXUSER.WTX.TRACELOG.XSD,DISP=SHR
//**********************************************************************
//**
//**    These are the references to the input and output files as
//**    defined in the PARMS command file and as needed by run maps.
//**    SEPAINP would contain the SEPA message to be validated. SEP000
//**    will refer to the matching file, if no matching is desired, the
//**    file SEP000.XML should be used.  The ERROR output will contain
//**    the UNIFI errors. SEPERROR output will contain in addition the
//**    SEPA errors if any. If these files are empty, the data is valid.
//**
//**    NOTE: DISP for the OUTPUT, ERROR and SEPERROR files needs to be
//**    changed to NEW or SHR depending on whether the file previously
//**    existed or not
//**
//**********************************************************************
//SEPAINP  DD DSN=TXUSER.WTX.INPUT1.XML,DISP=SHR
//SEP000   DD DSN=TXUSER.WTX.SEP000.XML,DISP=SHR
//PAIN113C DD DSN=TXUSER.WTX.PAIN113C.XML,DISP=SHR
//PAIN812D DD DSN=TXUSER.WTX.PAIN812D.XML,DISP=SHR
//PAIN911D DD DSN=TXUSER.WTX.PAIN911D.XML,DISP=SHR
//PACS812C DD DSN=TXUSER.WTX.PACS812C.XML,DISP=SHR
//PACS312D DD DSN=TXUSER.WTX.PACS312D.XML,DISP=SHR
//CAMT561C DD DSN=TXUSER.WTX.CAMT561C.XML,DISP=SHR
//BIC      DD DSN=TXUSER.WTX.BIC.XML,DISP=SHR
//CURRENCY DD DSN=TXUSER.WTX.CURCODEC.XML,DISP=SHR
//SEPAMSGS DD DSN=TXUSER.WTX.SEPAMSGS.XML,DISP=SHR
//EPCL     DD DSN=TXUSER.WTX.EPCL.TXT,DISP=SHR
//EEASEPAC DD DSN=TXUSER.WTX.EEASEPAC.TXT,DISP=SHR
//ERRC     DD DSN=TXUSER.WTX.ERRC.TXT,DISP=SHR
//OUTPUT1  DD DSN=TXUSER.WTX.CARD1.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=80),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//OUTPUT2  DD DSN=TXUSER.WTX.CARD2.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=80),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//OUTPUT3     DD DSN=TXUSER.WTX.CARD3.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=32500),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//**
//**********************************************************************
//**
//**   Trace and log files
//**
//**********************************************************************
//*DSTXXLOG DD SYSOUT=*
//DSTXXLOG DD  DSN=TXUSER.WTX.DRRTRACE.XML,
//             DISP=(MOD,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=32500),
//             UNIT=SYSDA,
//             SPACE=(CYL,(20,1),RLSE)
//**
//DTXAUD   DD SYSOUT=*
//DTXTRCE  DD SYSOUT=*
//SYSPRINT DD SYSOUT=*
//SYSOUT   DD SYSOUT=*
//CEEDUMP  DD SYSOUT=*
//**********************************************************************
//**
//**   Static temporary dataset allocations
//**
//**********************************************************************
//SYSTMP01 DD DSN=&&TEMP01,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP02 DD DSN=&&TEMP02,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP03 DD DSN=&&TEMP03,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP04 DD DSN=&&TEMP04,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP05 DD DSN=&&TEMP05,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
