//DMVBUND JOB (UNBUNDLE),CLASS=A,MSGCLASS=H,
//   MSGLEVEL=(1,1),NOTIFY=&SYSUID
//*******************************************************************
//* Sample JCL to execute the unbundle map using the
//* Transformation Extender Command Server for z/OS (OS/390).
//**
//** Licensed Materials - Property of IBM and/or HCL
//** (c) Copyright IBM Corporation 2005, 2019. All Rights Reserved.
//** (c) Copyright HCL Technologies Ltd. 2017,2019. All Rights Reserved.
//**
//** Note to U.S. Government Users Restricted Rights:
//** Use, duplication or disclosure restricted by GSA ADP Schedule
//** Contract with IBM Corp.
//**
//**
//**********************************************************************
//  SET DTXLIB=DSTX.REL8103.BLD00.LOADLIB       <== DSTX LOAD LIB
//  SET MAPLIB=TXUSER.DSTX810.MAPLIB(UNBUNDLE)  <== DSTX MAP DSN
//  SET MAPINP1=TXUSER.EBABULK.XML              <== INPUT1 FILE DSN
//  SET PACS4#1=TXUSER.PACS4#1.XML              <== 5 OUT FILES DSN
//  SET PACS4#2=TXUSER.PACS4#2.XML              <== PACS_004_001_01
//  SET PACS6#1=TXUSER.PACS6#1.XML              <==
//  SET PACS6#2=TXUSER.PACS6#2.XML              <== PACS_006_001_01
//  SET PACS8#1=TXUSER.PACS8#1.XML              <==
//  SET PACS8#2=TXUSER.PACS8#2.XML              <== PACS_008_001_01
//  SET PACS8#3=TXUSER.PACS8#4.XML              <==
//  SET UNIT=SYSDA                              <== WORKFILE UNIT
//  SET LRECL=32760                             <== WORKFILE LRECL
//  SET CLASS=*                                 <== SYSOUT CLASS
//*
//**********************************************************************
//**
//**   This is the main map section which calls the map
//**
//**********************************************************************
//DTX     EXEC PGM=DTXCMDSV,REGION=0M,
//  PARM='-@CMDFILE'
//STEPLIB  DD  DISP=SHR,DSN=&DTXLIB
//CMDFILE  DD  *
 MAPIN -IF1 IN1 -AE -TIO
/*
//**********************************************************************
//**
//**   Input and output datasets and the map dataset
//**
//**********************************************************************
//MAPIN    DD  DISP=SHR,DSN=&MAPLIB
//IN1      DD  DISP=SHR,DSN=&MAPINP1
//PACS#4#1 DD  DSN=&PACS4#1,
//             DISP=(NEW,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=80),
//             UNIT=&UNIT,
//             SPACE=(TRK,(5,2),RLSE)
//PACS#4#2 DD  DSN=&PACS4#2,
//             DISP=(NEW,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=80),
//             UNIT=&UNIT,
//             SPACE=(TRK,(5,2),RLSE)
//PACS#6#1 DD  DSN=&PACS6#1,
//             DISP=(NEW,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=80),
//             UNIT=&UNIT,
//             SPACE=(TRK,(5,2),RLSE)
//PACS#6#2 DD  DSN=&PACS6#2,
//             DISP=(NEW,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=80),
//             UNIT=&UNIT,
//             SPACE=(TRK,(5,2),RLSE)
//PACS#8#1 DD  DSN=&PACS8#1,
//             DISP=(NEW,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=80),
//             UNIT=&UNIT,
//             SPACE=(TRK,(5,2),RLSE)
//PACS#8#2 DD  DSN=&PACS8#2,
//             DISP=(NEW,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=80),
//             UNIT=&UNIT,
//             SPACE=(TRK,(5,2),RLSE)
//*
//**********************************************************************
//**
//**   These are the references to the schemas that are used.
//**
//**********************************************************************
//PACS411  DD  DISP=SHR,DSN=TXUSER.PACS411.XSD
//PACS611  DD  DISP=SHR,DSN=TXUSER.PACS611.XSD
//PACS811  DD  DISP=SHR,DSN=TXUSER.PACS811.XSD
//SCTICF   DD  DISP=SHR,DSN=TXUSER.SCTICF.XSD
//*
//**********************************************************************
//**
//**   Static temporary dataset allocations
//**
//**********************************************************************
//SYSTMP01 DD DSN=&&TEMP01,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP02 DD DSN=&&TEMP02,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP03 DD DSN=&&TEMP03,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP04 DD DSN=&&TEMP04,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP05 DD DSN=&&TEMP05,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP06 DD DSN=&&TEMP06,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP07 DD DSN=&&TEMP07,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP08 DD DSN=&&TEMP08,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP09 DD DSN=&&TEMP09,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP10 DD DSN=&&TEMP10,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP11 DD DSN=&&TEMP11,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
//SYSTMP12 DD DSN=&&TEMP12,DISP=(NEW,DELETE,DELETE),
//            DCB=(RECFM=FBS,LRECL=23476),
//            UNIT=SYSDA,SPACE=(TRK,(5,1))
