//DMVUTIL  JOB (4595,SUBS,3,8,0),
//        MSGCLASS=X,MSGLEVEL=(1,1),NOTIFY=&SYSUID,
//        CLASS=A
//*******************************************************************
//* Sample JCL to execute the ERRPARSE map using the
//* Transformation Extender Command Server for z/OS (OS/390).
//*
//*   Licensed Materials - Property of IBM and/or HCL
//*   (c) Copyright IBM Corporation 2005, 2016. All Rights Reserved.
//*   (c) Copyright HCL Technologies Ltd. 2017,2018. All Rights Reserved.
//*
//*   Note to U.S. Government Users Restricted Rights:
//*   Use, duplication or disclosure restricted by GSA ADP Schedule
//*   Contract with IBM Corp.
//*
//**********************************************************************
//**
//SCRATCH  EXEC  PGM=IEFBR14
//DD1    DD   DSN=USER1.ERR1.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD2    DD   DSN=USER1.ERR2.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD3    DD   DSN=USER1.ERR3.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD4    DD   DSN=USER1.ERR4.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//DD5    DD   DSN=USER1.ERRTRACE.XML,
//            DISP=(MOD,DELETE),UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//*
//STEP1 EXEC PGM=DTXCMDSV,REGION=0M,PARM='-@PARMS1'
//**********************************************************************
//**   Load libraries for TX and where all the maps and schemas reside
//**
//**********************************************************************
//**
//STEPLIB DD DSN=DSTX.REL8102.BLD00.XPL.LOADLIB,DISP=SHR
//        DD DSN=USER1.DSTX810.MAPLIB,DISP=SHR
//**
//PARMS1  DD DSN=USER1.DSTX810.PARAMS(PARM2),DISP=SHR
//**********************************************************************
//**
//**   This is the main map section which calls the top level map for a
//**   SEPA error retrieval. Also includes references for all runmaps
//**   called from the main map
//**
//**********************************************************************
//MAPDDS   DD DSN=USER1.DSTX810.MAPLIB(ERRPARSE),DISP=SHR
//SEPLIB05 DD DSN=USER1.DSTX810.MAPLIB(SEPLIB05),DISP=SHR
//SEPLIB06 DD DSN=USER1.DSTX810.MAPLIB(SEPLIB06),DISP=SHR
//IPOIN    DD DSN=USER1.DSTX810.MAPLIB(IPOIN),DISP=SHR
//$IPO0000 DD DSN=USER1.DSTX810.MAPLIB($IPO0000),DISP=SHR
//ERRC811# DD DSN=USER1.DSTX810.MAPLIB(ERRC811),DISP=SHR
//ERRC711# DD DSN=USER1.DSTX810.MAPLIB(ERRC711),DISP=SHR
//ERRC212# DD DSN=USER1.DSTX810.MAPLIB(ERRC212),DISP=SHR
//ERRC112# DD DSN=USER1.DSTX810.MAPLIB(ERRC112),DISP=SHR
//ERRB822# DD DSN=USER1.DSTX810.MAPLIB(ERRB822),DISP=SHR
//ERRB832# DD DSN=USER1.DSTX810.MAPLIB(ERRB832),DISP=SHR
//ERRB811# DD DSN=USER1.DSTX810.MAPLIB(ERRB811),DISP=SHR
//ERRB732# DD DSN=USER1.DSTX810.MAPLIB(ERRB732),DISP=SHR
//ERRB722# DD DSN=USER1.DSTX810.MAPLIB(ERRB722),DISP=SHR
//ERRB711# DD DSN=USER1.DSTX810.MAPLIB(ERRB711),DISP=SHR
//ERRB432# DD DSN=USER1.DSTX810.MAPLIB(ERRB432),DISP=SHR
//ERRB422# DD DSN=USER1.DSTX810.MAPLIB(ERRB422),DISP=SHR
//ERRB411# DD DSN=USER1.DSTX810.MAPLIB(ERRB411),DISP=SHR
//ERRB332# DD DSN=USER1.DSTX810.MAPLIB(ERRB332),DISP=SHR
//ERRB322# DD DSN=USER1.DSTX810.MAPLIB(ERRB322),DISP=SHR
//ERRB311# DD DSN=USER1.DSTX810.MAPLIB(ERRB311),DISP=SHR
//ERRB232# DD DSN=USER1.DSTX810.MAPLIB(ERRB232),DISP=SHR
//ERRB222# DD DSN=USER1.DSTX810.MAPLIB(ERRB222),DISP=SHR
//ERRB212# DD DSN=USER1.DSTX810.MAPLIB(ERRB212),DISP=SHR
//ERRE611# DD DSN=USER1.DSTX810.MAPLIB(ERRE611),DISP=SHR
//ERRE411# DD DSN=USER1.DSTX810.MAPLIB(ERRE411),DISP=SHR
//ERRE811# DD DSN=USER1.DSTX810.MAPLIB(ERRE811),DISP=SHR
//**********************************************************************
//**
//**   These are the references to the schemas that are used by
//**   the SEPA data. They need to reside in the same
//**   dataset as the maps
//**
//**********************************************************************
//PC222XSD  DD DSN=USER1.PACS222.XSD,DISP=SHR
//PC232XSD  DD DSN=USER1.PACS232.XSD,DISP=SHR
//PC322XSD  DD DSN=USER1.PACS322.XSD,DISP=SHR
//PC332XSD  DD DSN=USER1.PACS332.XSD,DISP=SHR
//PC422XSD  DD DSN=USER1.PACS422.XSD,DISP=SHR
//PC432XSD  DD DSN=USER1.PACS432.XSD,DISP=SHR
//PC722XSD  DD DSN=USER1.PACS722.XSD,DISP=SHR
//PC732XSD  DD DSN=USER1.PACS732.XSD,DISP=SHR
//PC822XSD  DD DSN=USER1.PACS822.XSD,DISP=SHR
//PC832XSD  DD DSN=USER1.PACS832.XSD,DISP=SHR
//PC212XSD  DD DSN=USER1.PACS212.XSD,DISP=SHR
//PC311XSD  DD DSN=USER1.PACS311.XSD,DISP=SHR
//PC411XSD  DD DSN=USER1.PACS411.XSD,DISP=SHR
//PC611XSD  DD DSN=USER1.PACS611.XSD,DISP=SHR
//PC711XSD  DD DSN=USER1.PACS711.XSD,DISP=SHR
//PC811XSD  DD DSN=USER1.PACS811.XSD,DISP=SHR
//PE611XSD  DD DSN=USER1.EBA611.XSD,DISP=SHR
//PE411XSD  DD DSN=USER1.EBA411.XSD,DISP=SHR
//PE811XSD  DD DSN=USER1.EBA811.XSD,DISP=SHR
//PN112XSD  DD DSN=USER1.PAIN112.XSD,DISP=SHR
//PN212XSD  DD DSN=USER1.PAIN212.XSD,DISP=SHR
//PN711XSD  DD DSN=USER1.PAIN711.XSD,DISP=SHR
//PN811XSD  DD DSN=USER1.PAIN811.XSD,DISP=SHR
//SEPACONF  DD DSN=USER1.SEPACFG.XSD,DISP=SHR
//XLIFF     DD DSN=USER1.XLIFF.DTD,DISP=SHR
//TRLOGXSD  DD DSN=USER1.TRACELOG.XSD,DISP=SHR
//**********************************************************************
//**
//**    These are the references to the input and output files as
//**    defined in the PARMS command file and as needed by run maps.
//**    ERRDATA
//**    would contain the SEPA message to be parsed for errors.
//**********************************************************************
//ERRDATA  DD DSN=USER1.YOURDATA.XML,DISP=SHR
//SEPAMSGS DD DSN=USER1.SEPAMSGS.XML,DISP=SHR
//ERR1     DD DSN=USER1.ERR1.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=120),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//ERR2     DD DSN=USER1.ERR2.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=80),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//ERR3     DD DSN=USER1.ERR3.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=120),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//ERR4     DD DSN=USER1.ERR4.XML,
//            DISP=(MOD,CATLG,DELETE),
//            DCB=(RECFM=VB,LRECL=120),
//            UNIT=SYSDA,
//            SPACE=(TRK,(5,2),RLSE)
//**********************************************************************
//**
//**   Trace and log files
//**
//**********************************************************************
//DSTXXLOG DD  DSN=USER1.ERRTRACE.XML,DISP=(MOD,CATLG,DELETE),
//             DCB=(RECFM=VB,LRECL=31760),
//             UNIT=SYSDA,SPACE=(CYL,(20,1),RLSE)
//DTXLOG   DD  SYSOUT=*
//DTXAUD   DD  SYSOUT=*
//DTXTRCE  DD  SYSOUT=*
//DTXDEBG  DD  SYSOUT=*
//SYSPRINT DD  SYSOUT=*
//SYSOUT   DD  SYSOUT=*
//CEEDUMP  DD  SYSOUT=*
//**********************************************************************
//** 3.4
//**   Static temporary dataset allocations
//**
//**********************************************************************
//SYSTMP00  DD DSN=&&TEMP00,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP01  DD DSN=&&TEMP01,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP02  DD DSN=&&TEMP02,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP03  DD DSN=&&TEMP03,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP04  DD DSN=&&TEMP04,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP05  DD DSN=&&TEMP05,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP06  DD DSN=&&TEMP06,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP07  DD DSN=&&TEMP07,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP08  DD DSN=&&TEMP08,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
//SYSTMP09  DD DSN=&&TEMP09,DISP=(NEW,DELETE,DELETE),
//             DCB=(RECFM=FBS,LRECL=23476,BLKSIZE=23476),
//             UNIT=SYSDA,SPACE=(TRK,(20,1),RLSE)
//*
